._dialog-open {
  overflow: hidden;
}
._dialog-open ._dialog {
  overflow-x: hidden;
  overflow-y: auto;
}
._dialog {
  position: fixed;
  top: 0; right: 0; bottom: 0; left: 0;
  overflow: hidden;
  outline: 0;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  background-color: rgba(63, 69, 74, 0.75);
}
._dialog-body {
  position: relative;
  width: 600px;
  padding: .75rem;
  margin: 0 .5rem .5rem .5rem;
  pointer-events: auto;
  background-color: #fff;
  background-clip: padding-box;
  border-radius: 0 0 4px 4px;
  outline: 0;
  opacity: 1;
}
._dialog-body-grow {
  width: calc(100vw - 2rem);
}
._dialog-close {
  position: fixed;
  top: .5rem;
  right: 1rem;
  border: 0; outline: 0;
  transition: none;
  font-size: 4rem;
  text-shadow: 0 0 4px rgba(63, 69, 74, 1);
  line-height: 1;
  color: #f8686d;
  background-color: transparent;
  overflow: hidden;
}
._dialog-close > span {
  pointer-events: none;
}
._fade-in {
  animation: animate-fade-in ease-in 300ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
._fade-out {
  animation: animate-fade-out ease-out 300ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
._drop-from-above {
  animation: animate-drop-from-above ease-in 200ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
._pull-above {
  animation: animate-pull-above ease-out 300ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
@keyframes animate-pull-above {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-100vh);
  }
}
@keyframes animate-drop-from-above {
  0% {
    transform: translateY(-100vh);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes animate-fade-in {
  0% {
    opacity: 0;
    visibility: hidden;
  }
  100% {
    opacity: 1;
    visibility: visible;
  }
}
@keyframes animate-fade-out {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}
._d-none {
  display: none;
}

@media (max-width: calc(600px + 2rem)) {
  ._dialog-body {
    width: calc(100vw - 2rem);
  }
}